
***************  DATA  (SHOULD BE INCLUDED INTO Bend.gms) *****************
*
* Data from Garfinkel and Nemhouser (1972, p. 14), 
* from Dirickx and Jennergren: A Numerical Example, p. 63.
* Note: We have switched the names of the x and y variables,
*       so that the x variables are the master problem vars, y's sub-vars.
*       This is the stochastic programming standard.
*
* Ignore integrality constraints on the y's (get integral optimum anyway)
*

 SET m  / 1 * 2 /;
 SET n1 / 1 * 2 /;
 SET n2 / 1 * 2 /;
 
 TABLE A(i, j1)
       1   2
   1   3  -1
   2   2   2

 TABLE B(i, j2)
       1   2 
   1  -1   2
   2   1  -3 
 
 PARAMETER c(j1)  / 1 = 2, 2 = 3 /;
 PARAMETER d(j2)  / 1 = 2, 2 = 6 /;
 PARAMETER rhs(i) / 1 = 5, 2 = 4 /;

 PARAMETER ux(j1) / 1 = 2, 2 = 2 /;
 PARAMETER uy(j2) / 1 = 10000, 2 = 10000 /;

***************  END DATA  ***************************************************



